DROP PROC ObtieneTipoCambioGeneralProc
GO
CREATE PROC ObtieneTipoCambioGeneralProc(
	@VALOR		NUMERIC(12,4),
	@FROMCURYID 	UD_CURYID,
	@TOCURYID 	UD_CURYID,
	@FECHA 		smalldatetime,
        @CURYTYPEID	UD_CURYTYPEID
)
AS
	DECLARE	@CAMBIO	numeric(6,4)
	DECLARE @OPERADOR CHAR(1)
	DECLARE @NEW_VALOR NUMERIC(12,4)

	SELECT @CAMBIO=RATE,@OPERADOR=OPERADOR
	FROM CURYRATE 
	WHERE CURYTYPEID=@CURYTYPEID AND
	      FROMCURYID=@FROMCURYID AND
	      TOCURYID=@TOCURYID AND
              CURYDATE=@FECHA	

	IF (@OPERADOR='/')
		SET @NEW_VALOR=@VALOR/@CAMBIO
	ELSE
		SET @NEW_VALOR=@VALOR*@CAMBIO

	SELECT @NEW_VALOR AS VALOR
